"use strict";
require("../../../common/libraries/request.js");
require("../../../common/store/useWatermarkStore.js");
const common_store_useWeAppAuthStore = require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWorkStore.js");
const common_libraries_apiLoading = require("../../../common/libraries/apiLoading.js");
const gen_Apis = require("../../../gen/Apis.js");
const ME_announcement_show_model = require("./model.js");
common_store_useWeAppAuthStore.useWeAppAuthStore();
const method = {
  getShow(id) {
    common_libraries_apiLoading.getApiLoading(gen_Apis.Apis.Msg.MsgPropertyAnnouncements.Show, { id }).then((res) => {
      var _a;
      ME_announcement_show_model.useModel.showData.value = res == null ? void 0 : res.data;
      if (!((_a = res == null ? void 0 : res.data) == null ? void 0 : _a.is_read)) {
        gen_Apis.Apis.Msg.MsgPropertyAnnouncements.MarkAsRead({ id });
      }
      console.log(res);
    });
  }
};
exports.method = method;
